# Class TestLoopElement

  Thelia\Tpex\Element\BaseElement
  Thelia\Tpex\Element\TestLoopElement

Namespace: Thelia\Tpex\Element
Located at core/lib/Thelia/Tpex/Element/TestLoopElement.php

Methods summary
`public` | # `__construct( mixed $name, array $testLoop, Symfony\Component\HttpFoundation\Request $request, Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher )`
`public` | # `setArgs( mixed $args )`
`public mixed` | # `addContent( mixed $content )` #### Parameters $content `mixed` $content #### Returns `mixed`
`public` | # `exec( mixed $substitutions = array() )`
`public` | # `execLoop( mixed $args )`
`public` | # `constructLoop( mixed $name )`
`public integer` | # `type( )` type must return the code of this element. ex : return Thelia\Tpex\TpexToken::TpexText #### Returns `integer`

Methods inherited from Thelia\Tpex\Element\BaseElement
`replace()`

Properties summary
`public mixed` | $name | `` | #
`public mixed` | $args | `` | #
`public mixed` | $testLoop | `` | #
`protected mixed` | $request | `` | #
`protected mixed` | $dispatcher | `` | #

Properties inherited from Thelia\Tpex\Element\BaseElement
`$content`